% -------------------------------------------------------------------------
% > Identification
% -------------------------------------------------------------------------
% > Iterative Prediction-Error Minimization
% > lsqnonlin | Trust-Region Reflective Newton Search
% -------------------------------------------------------------------------

%% Plot of Initial parameters
figure(1)
%compare(data, nom.nlgr)
compare(data, ros.nlgr)

%% Estimating Nonlinear Grey-Box Models
display Identification_started
%nomoto = pem(data, nom.nlgr, 'Display', 'Full') %parameter estimation
ross = pem(data, ros.nlgr, 'Display', 'Full') %parameter estimation
display Identification_completed
%fprintf('%1.6f\n', getpvec(nomoto)) %display the estimated parameters
fprintf('%1.6f\n', getpvec(ross)) %display the estimated parameters

%% Performance of the Estimated Model
figure(2)
%compare(data, nomoto, '--b') %compare measured data
compare(data, ross, '--b') %compare measured data
grid,ylabel('Yaw rate (deg/s)'),xlabel('time (s)'),title('')
axis([id.minx id.maxx -10 10])
%legend(axes1,'show');
%set(legend1,'FontWeight','bold','FontSize',18,'FontName','Arial');

%% Prediction Error
figure(3);
%pe(data, nomoto);
pe(data, ross);
grid,ylabel('Prediction error (deg/s)'),xlabel('time (s)'),title('')
axis([id.minx id.maxx -5 5])

