function [dx, y] = model_ross(t,x,u_, Ndr, NuvppL, NuvL, NuuvL, NvvvL, ...
                              NrrvL, Nvv, Nrv, NurL, NuurL, NrrrL, ...
                              NvvrL, Nvr, Nrr, Xdu0, Ydv0, Ndv0, Ydr0, ...
                              varargin)
% -------------------------------------------------------------------------
% > IDNLGREY Model File
% -------------------------------------------------------------------------
% > Autopilot model derived by Ross
% -------------------------------------------------------------------------

N = u_(1); %rudder input
u = u_(2); %sway velocity
v = u_(3); %surge velocity
r = u_(4); %yaw rate
p = u_(5); %yaw

r = x(1);
y = r; %output

dx = [(1/(-Ndr))*(N+NuvppL*u*v*p^2+NuvL*u*v+NuuvL*u^2*v+NvvvL*u^3 ...
      +NrrvL*r^2*v+Nvv*abs(v)*v+Nrv*abs(r)*v+NurL*u*r+NuurL*u^2*r ...
      +NrrrL*r^3+NvvrL*v^2*r+Nvr*abs(v)*r+Nrr*abs(r)*r-(Xdu0-Ydv0)*u*v ...
      +(1/2)*(Ndv0+Ydr0))]; %state equation